# For EVM

{% hint style="danger" %}
Resmic SDK old version.&#x20;
{% endhint %}

```
npm i resmic@1.0.10
```

## Usage

```javascript
import { useState } from 'react';
import {EVMConnect, Tokens, Chains} from 'resmic'

function App() {

	const [paymentStatus, setPaymentStatus] = useState(false) // Returns bool after the payment
	
	// Your code...

  return (
        <div>
            <EVMConnect  Address={"YOUR_WALLET_ADDRESS"} //Wallet address to receive funds
                Chains={[ Chains.Ethereum, Chains.Polygon, Chains.Goerli]} //Choose the blockchains to allow payments from
        	Tokens ={[Tokens.USDT, Tokens.BUSD, Tokens.MATIC, Tokens.ETH]} //Choose the Tokens to accept payments from
                Amount={100} //Amount you want to receive in USD($)
                setPaymentStatus = {setPaymentStatus}
                noOfBlockConformation={5} //No. of blocks to wait for the payment conformation (Optional)
                Style = {{displayName: "Make Payment",
                    backgroundColor: "#007bff",
                    color: "#fff",
                    border: "none",
                    padding: "10px 20px",
                    borderRadius: "4px",
                    fontSize: "18px"}}
            />
	  </div>

  )

}
```

```jsx
```

{% hint style="info" %}
**Important**

Visit list of [supported blockchains](/resmic-sdk/support/blockchain.md) & [supported tokens](/resmic-sdk/support/tokens.md#evm) for more details.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.resmic.com/resmic-sdk/getting-started/usage/for-evm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
